package net.letime.lecjoa.entity;

import java.lang.System;

@kotlin.Metadata(mv = {1, 1, 10}, bv = {1, 0, 2}, k = 1, d1 = {"\u0000*\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0000\b\u0086\b\u0018\u00002\u00020\u0001B!\u0012\f\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003\u0012\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003\u00a2\u0006\u0002\u0010\u0006J\u000f\u0010\n\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003H\u00c6\u0003J\u000f\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003H\u00c6\u0003J)\u0010\f\u001a\u00020\u00002\u000e\b\u0002\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u00032\u000e\b\u0002\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003H\u00c6\u0001J\u0013\u0010\r\u001a\u00020\u000e2\b\u0010\u000f\u001a\u0004\u0018\u00010\u0001H\u00d6\u0003J\t\u0010\u0010\u001a\u00020\u0011H\u00d6\u0001J\t\u0010\u0012\u001a\u00020\u0013H\u00d6\u0001R\u0017\u0010\u0002\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\u0007\u0010\bR\u0017\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00040\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\t\u0010\b\u00a8\u0006\u0014"}, d2 = {"Lnet/letime/lecjoa/entity/StatusContext;", "", "ancestors", "", "Lnet/letime/lecjoa/entity/Status;", "descendants", "(Ljava/util/List;Ljava/util/List;)V", "getAncestors", "()Ljava/util/List;", "getDescendants", "component1", "component2", "copy", "equals", "", "other", "hashCode", "", "toString", "", "app_debug"})
public final class StatusContext {
    @org.jetbrains.annotations.NotNull()
    private final java.util.List<net.letime.lecjoa.entity.Status> ancestors = null;
    @org.jetbrains.annotations.NotNull()
    private final java.util.List<net.letime.lecjoa.entity.Status> descendants = null;
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<net.letime.lecjoa.entity.Status> getAncestors() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<net.letime.lecjoa.entity.Status> getDescendants() {
        return null;
    }
    
    public StatusContext(@org.jetbrains.annotations.NotNull()
    java.util.List<net.letime.lecjoa.entity.Status> ancestors, @org.jetbrains.annotations.NotNull()
    java.util.List<net.letime.lecjoa.entity.Status> descendants) {
        super();
    }
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<net.letime.lecjoa.entity.Status> component1() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull()
    public final java.util.List<net.letime.lecjoa.entity.Status> component2() {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull()
    public final net.letime.lecjoa.entity.StatusContext copy(@org.jetbrains.annotations.NotNull()
    java.util.List<net.letime.lecjoa.entity.Status> ancestors, @org.jetbrains.annotations.NotNull()
    java.util.List<net.letime.lecjoa.entity.Status> descendants) {
        return null;
    }
    
    @java.lang.Override()
    public java.lang.String toString() {
        return null;
    }
    
    @java.lang.Override()
    public int hashCode() {
        return 0;
    }
    
    @java.lang.Override()
    public boolean equals(java.lang.Object p0) {
        return false;
    }
}